# Auction server

#    The Circle - Decentralized resource discovery software
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


"""
    This file belongs to the core of circle

"""

# auctions can be watched, like acquaintances, publish watchers
# I may publish:
#  - auctions (like id online)
#  - auction watchers
#  - may send an email to watchers if they require



from __future__ import generators
import time,os,types,traceback,select,threading
import sys
import stat
import string
import check
import error
import hash
import node
import safe_pickle
import settings
import utility





class Auction_server(utility.Task_manager):
    
    def __init__(self, app, node):
        utility.Task_manager.__init__(self)

        self.app = app
        self.node = node

        self.auctions = [ ]       # the list of items I am selling
        self.watchers      = [ ]  # the people who are watching my auctions
        
    
    
    def publish_auction(self, title, description):

        #now = time.time()
        #timezone = long(time.mktime(time.gmtime(now)) - now)

        info = {
            'type'       : 'auction',
            'title'      : title,
            'seller'     : self.app.node.name,
            'description': description,
            'keywords'   : [ title ] + string.split(string.lower(title))
        }

        self.auctions.append(info)

        for item in info['keywords']:
            print "publishing",item
            self.node.publish(hash.hash_of('auction-name '+item),
                              info, settings.identity_redundancy)


        




# vim: expandtab:shiftwidth=4:tabstop=8:softtabstop=4 :
