#! /usr/bin/env python

import string,sys,os

if sys.version_info < (2,3):
    print "Circle requires Python version 2.3 or higher.\n"
    print "See the README for details."
    sys.exit(1)

try:
    from distutils.core import setup, Extension
    from distutils.command.install_data import install_data
except:
    print "\nCould not load the distutils modules. Have you installed them?\n"
    print "(on Debian systems you need to install the python2.X-dev package)\n"
    sys.exit(1)

import circlelib

class modified_install_data(install_data):
    def finalize_options(self):
        self.set_undefined_options('install',('install_lib','install_dir'))
        install_data.finalize_options(self)
	
setup(name = 'Circle',
      version = circlelib.__version__,
      description = 'Decentralized P2P application',
      author = 'Paul Harrison, Nathan Hurst, Peter Moulder, Jiri Baum and others',
      author_email = 'thomasV1@gmx.de',
      url = 'http://thecircle.org.au/',
      license = 'GPL',
      long_description =
"""
An application for instant messaging, sharing files, and exchanging news,
based around the idea of a decentralized hash.""",
      platforms = ['Linux'],

      cmdclass = { 'install_data': modified_install_data },

      packages = ['circlelib','circlelib.crypto'],
      scripts = ['circle'],
      data_files = [
        ('circlelib',['circlelib/about.html',
		      'circlelib/chat_commands.html',
		      'circlelib/daemon_howto.html',
		      'circlelib/technical_faq.html',
		      'circlelib/getting_started.html',
                      'circlelib/pixmaps/diagram-bg.xpm',
                      'circlelib/pixmaps/diagram-bg-red.xpm',
                      'circlelib/pixmaps/media-play.xpm',
                      'circlelib/pixmaps/media-stop.xpm',
                      'circlelib/pixmaps/media-prev.xpm',
                      'circlelib/pixmaps/media-next.xpm',
                      'circlelib/pixmaps/media-ffwd.xpm',
                      'circlelib/pixmaps/media-rewind.xpm',
		      'circlelib/magic.circle',
		      'circlelib/magic.linux']),
        ('/usr/share/pixmaps',['circle-icon.png']),
	('/usr/share/gnome/apps/Internet',['circle.desktop']),
	('/usr/lib/apt/methods',['cftp','chttp'])
      ]
)

